Bug 11232 - osec needs group osec
: osec needs group osec
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/osec)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-03-27 09:29 by
Modified: 2007-04-21 19:43 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-03-27 09:29:25
поставленный с инсталлера бета-мастер-4 (*2007) ночью запускает osec, а тот
говорит

 fatal:unknown group osec
 Program exited abnormally, exit code = 1

надо бы добавить группу по умолчанию в инсталлер
------- Comment #1 From 2007-03-27 09:56:19 -------
уточнение - ставилось с  server-i586-20070315.iso
------- Comment #2 From 2007-03-27 13:35:58 -------
инсталятор тут не причём ... группа osec добавляется в preinstall скрипте
пакета
osec.
------- Comment #3 From 2007-03-27 15:43:54 -------
$ rpm -qp --scripts osec-1.0.2-alt0.2.1.i586.rpm 
preinstall scriptlet (through /bin/sh):
/usr/sbin/groupadd -r -f osec &>/dev/null
/usr/sbin/useradd -r -g osec -d /dev/null -s /dev/null -n osec &>/dev/null ||:


osec тоже не причём ... истина где-то в другом месте.

------- Comment #4 From 2007-04-20 08:51:42 -------
Свежепоставленный server-x86_64-20070413.iso.
osec-1.0.2-alt0.2.1.x86_64.rpm

В passwd пользователя osec нет.

Может, инсталлятором пакет ставится _до_ shadow-utils ?
------- Comment #5 From 2007-04-20 08:54:30 -------
Результат сегодняшнего 'apt-get dist-upgrade' на свежей системе, поставленной с 
server-x86_64-20070413.iso:

.........
warning: user osec does not exist - using root
warning: group osec does not exist - using root
 5: osec-mailreport                  
################################################################################################### 
[ 33%]
chown: `osec:osec': invalid user
error: execution of %post scriptlet from osec-mailreport-1.0.2-alt1 failed, 
exit status 1
 6: osec                             
################################################################################################### 
[ 40%]
..........

После обновления - пользователь osec в passwd есть. И дублирующийся 
osec-mailreport.
------- Comment #6 From 2007-04-21 19:43:31 -------
Fixed in 1.0.2-alt1.